Skip to main content
GET
/
v1
/
contracts
List contracts
curl --request GET \
  --url https://prod-api.civicmarketplace.com/v1/contracts \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "suppliers": [
        {
          "id": "<string>",
          "name": "<string>",
          "location": "Austin, TX",
          "logo": "<string>",
          "email": "[email protected]",
          "website": "<string>"
        }
      ],
      "city_services": [
        {
          "id": "<string>",
          "name": "<string>"
        }
      ],
      "updated_at": "2023-11-07T05:31:56Z",
      "summary": "<string>",
      "description": "<string>",
      "lead_entity": {
        "id": "<string>",
        "name": "<string>"
      },
      "coop": {
        "id": "<string>",
        "name": "<string>"
      }
    }
  ],
  "meta": {
    "next_cursor": "<string>",
    "limit": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

lead_entity
string
coop
string
supplier
string
city_service
string
q
string
Maximum string length: 200
updated_since
string<date-time>
cursor
string
limit
integer
default:25
Required range: 1 <= x <= 100

Response

Contract page

data
object[]
required
meta
object
required